Subject: Re: [PWE3] Stewart Bryant's Discuss on draft-ietf-mpls-ipv6-pw-lsp-ping-03: (with DISCUSS)

From: Lizhong Jin<[email-masked]>
Date: Wed, 14 Nov 2012 15:02:32 +0800

Hi,
I have a question to this draft, not objection. The sender and remote PE 
address in PW target FEC stack defined in RFC4379 is 32-bit long. I wonder 
if we could interpret this 32-bit address as the corresponding LDP 
router-id which is also 32bit long in LDPv6? And we will not define 
128-bit LDP router-id in IPv6 networks (at least currently not defined in 
MPLS WG). If that works, then it is not necessary to define IPv6 "FEC 
128/129" Pseudowire for LSP ping.

Thanks
Lizhong

> ------------------------------
> 
> Message: 3
> Date: Tue, 13 Nov 2012 01:16:57 -0800
> From: "Stewart Bryant" <[email-masked]>
> To: The IESG <[email-masked]>
> Cc: [email-masked],
>    [email-masked],   [email-masked], 
[email-masked]
> Subject: [PWE3] Stewart Bryant's Discuss on
>    draft-ietf-mpls-ipv6-pw-lsp-ping-03:   (with DISCUSS)
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"
> 
> Stewart Bryant has entered the following ballot position for
> draft-ietf-mpls-ipv6-pw-lsp-ping-03: Discuss
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to http://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> 
> 
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
> 
> This is a pseudowire document and it is a great pity that it was not
> taken through the pseudowire WG so that it would be listed in their
> document set and thus be more visible to readers looking for PW related
> documents. I am not sure whether it is possible to get this to show on
> with their doc set but it would be useful if it could.
> 
> As far as I am able to determin, this document was not formally reviewed
> by the PWE3 WG, one purpose of this discuss is thus to make sure that
> this has been adequately reviewed by people with PW expertise.
> 
> My second concern is whether FEC128 data structures should be defined in
> this draft, or whether this draft should be used as an opportunity to
> retire FEC128, in which case the FEC 128 IPv6 definition should be
> removed from the draft. This is a discussion that should take place in
> the PWE3 WG.
> 
> 
> 
> 
> 
>

---

From: Mach Chen <[email-masked]>
Date: Wed, 14 Nov 2012 07:21:15 +0000

Hi Lizhong,

According to Section 3.2.9 (the third para) of RFC4379:

“…The value field consists of the sender's PE address (the source address of the targeted LDP session), the remote PE address (the destination address of the targeted LDP session)…”

It explicitly states that the PE addresses are the source and destination addresses of the targeted LDP session, there is not any relationship to the router-id.

Best regards,
Mach

发件人: [email-masked] [mailto:[email-masked]] 代表 Lizhong Jin
发送时间: 2012年11月14日 15:03
收件人: [email-masked]
抄送: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
主题: Re: [PWE3] Stewart Bryant's Discuss on draft-ietf-mpls-ipv6-pw-lsp-ping-03: (with DISCUSS)

Hi,
I have a question to this draft, not objection. The sender and remote PE address in PW target FEC stack defined in RFC4379 is 32-bit long. I wonder if we could interpret this 32-bit address as the corresponding LDP router-id which is also 32bit long in LDPv6? And we will not define 128-bit LDP router-id in IPv6 networks (at least currently not defined in MPLS WG). If that works, then it is not necessary to define IPv6 "FEC 128/129" Pseudowire for LSP ping.

Thanks
Lizhong

>    [email-masked],   [email-masked], [email-masked]

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Wed, 14 Nov 2012 12:43:26 +0000

Hi Lizhong,

FEC stack must encode an IP address (for which the LSP is constructed).

Cheers,
Rajiv

Sent from my Phone

On Nov 14, 2012, at 2:03 AM, "Lizhong Jin" <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Thanks
Lizhong

> From: "Stewart Bryant" <[email-masked]<mailto:[email-masked]>>
> To: The IESG <[email-masked]<mailto:[email-masked]>>
> Cc: [email-masked]<mailto:[email-masked]>,
>    [email-masked]<mailto:[email-masked]>,   [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
> Message-ID: <[email-masked]<mailto:[email-masked]>>

---

From: Lizhong Jin<[email-masked]>
Date: Wed, 14 Nov 2012 22:43:06 +0800

Hi Mach,
I mean, if it technically works, we could just simply redefine the name of 
PE address in RFC4379.

Regards
Lizhong

Mach Chen <[email-masked]> wrote 2012/11/14 15:21:15:

> “…The value field consists of the sender's PE address (the source 
> address of the targeted LDP session), the remote PE address (the 
> destination address of the targeted LDP session)…”
> 
> It explicitly states that the PE addresses are the source and 
> destination addresses of the targeted LDP session, there is not any 
> relationship to the router-id. 
> 
> Best regards,
> Mach
> 
> 
> [email-masked] [mailto:[email-masked]] on behalf of 
Lizhong Jin
> date: 2012年11月14日 15:03
> to: [email-masked]
> cc: [email-masked]; mpls-
> [email-masked]; [email-masked]; [email-masked]; pwe3-
> [email-masked]
> subject: Re: [PWE3] Stewart Bryant's Discuss on draft-ietf-mpls-ipv6-
> pw-lsp-ping-03: (with DISCUSS)
> 
> 
> Hi, 
> I have a question to this draft, not objection. The sender and 
> remote PE address in PW target FEC stack defined in RFC4379 is 32-
> bit long. I wonder if we could interpret this 32-bit address as the 
> corresponding LDP router-id which is also 32bit long in LDPv6? And 
> we will not define 128-bit LDP router-id in IPv6 networks (at least 
> currently not defined in MPLS WG). If that works, then it is not 
> necessary to define IPv6 "FEC 128/129" Pseudowire for LSP ping. 
> 
> Thanks 
> Lizhong 
> 
> 
> > Please refer to 
http://www.ietf.org/iesg/statement/discuss-criteria.html

---

From: Lizhong Jin<[email-masked]>
Date: Wed, 14 Nov 2012 22:46:18 +0800

Hi Rajiv,
Is there any technical reason why it must be an IP address? If it is a 
32bit router-id, the PW ping in IPv6 network will still work, right? Maybe 
I missed something, and would appreciate if you could point out, or is 
there any PROS and CONS between the two options?

Thanks
Lizhong

"Rajiv Asati (rajiva)" <[email-masked]> wrote 2012/11/14 20:43:26:

> On Nov 14, 2012, at 2:03 AM, "Lizhong Jin" <[email-masked]>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Wed, 14 Nov 2012 21:21:43 +0000

Hi Lizhong,

I'd be quite hesitant to redefine the semantics of the existing IPv4 sub-TLV, and I'd favor not changing deployed fields and instead defining new ones for v6.

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

On Nov 14, 2012, at 9:46 AM, "Lizhong Jin" <[email-masked]<mailto:[email-masked]>> wrote:

Hi Rajiv,
Is there any technical reason why it must be an IP address? If it is a 32bit router-id, the PW ping in IPv6 network will still work, right? Maybe I missed something, and would appreciate if you could point out, or is there any PROS and CONS between the two options?

Thanks
Lizhong

> necessary to define IPv6 "FEC 128/129" Pseudowire for LSP ping.
_______________________________________________
pwe3 mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/pwe3

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Wed, 14 Nov 2012 21:29:40 +0000

Hi Lizhong,

Good question. Here is the rationale - 

1) router-id, by definition, does not need to be a routable IP address.
2) router-id, by definition, has no label bound to it.
3) router-id may be different from the next-hop IP address for which the LSP is constructed.   

If we put the above in the perspective, then RFC 4379 Section 3.2, which says

//
   An MPLS echo request MUST have a Target FEC Stack that describes the
   FEC Stack being tested.
//

Then, it implicitly discounts the router-id usage in Target FEC stack.

Cheers,
Rajiv

> -----Original Message-----
> From: Lizhong Jin [mailto:[email-masked]]
> Sent: Wednesday, November 14, 2012 9:46 AM
> To: Rajiv Asati (rajiva)
> Cc: [email-masked]; [email-masked]; mpls-
> [email-masked]; [email-masked]; [email-masked]; Stewart
> Bryant (stbryant)
> Subject: Re: [PWE3] Stewart Bryant's Discuss on draft-ietf-mpls-ipv6-pw-lsp-
> ping-03: (with DISCUSS)
> 
> 
> Hi Rajiv,
> Is there any technical reason why it must be an IP address? If it is a 32bit
> router-id, the PW ping in IPv6 network will still work, right? Maybe I missed
> something, and would appreciate if you could point out, or is there any
> PROS and CONS between the two options?
> 
> Thanks
> Lizhong
> 
>

---

From: Sam Aldrin <[email-masked]>
Date: Wed, 14 Nov 2012 14:06:22 -0800

I agree with Carlos. Would be good to define/have separate TLV for v6 instead of overloading other objects. Reusing will add more confusion than what is being gained out of it.

Cheers
Sam

Sent from my iPhone

On Nov 14, 2012, at 1:21 PM, "Carlos Pignataro (cpignata)" <[email-masked]> wrote:

> On Nov 14, 2012, at 9:46 AM, "Lizhong Jin" <[email-masked]> wrote:
> 
>> 
>> Hi Rajiv, 
>> > On Nov 14, 2012, at 2:03 AM, "Lizhong Jin" <[email-masked]> wrote:
>> 
>> > Hi, 
>> [email-masked]
> [email-masked]

---

From: Lizhong Jin<[email-masked]>
Date: Thu, 15 Nov 2012 11:59:37 +0800

Hi Rajiv,
Thanks for the clarification. The PW FEC128 does not contain IP address in 
RFC4447. The peer PE address for PW is locally configured, and is used to 
search the correct LDP session to send the label mapping. Whether the peer 
PE address is routable or not, if the PE could find the correct LDP 
session, then PW could be setup. So I think it works in IPv6 if the peer 
PE address is a LDP router-id.
However, in IPv6 field deployments, there could be case to have a routable 
IPv6 address to configure the peer PE, which is described in this 
reviewing draft. I am OK to define a new TLV now.

BTW, does that mean we also need to update RFC5003 to update the 32bit 
prefix in AII type 2? Why don't we define the address by the address 
family + address? In that case, we could save much work.

Lizhong

> > Is there any technical reason why it must be an IP address? If it is a 
32bit
> > > > My second concern is whether FEC128 data structures should be 
defined
> > in

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Thu, 15 Nov 2012 19:52:14 +0000

Hi Lizhong,

> PE address is routable or not, if the PE could find the correct LDP session,
> then PW could be setup. So I think it works in IPv6 if the peer PE address is a
> LDP router-id.
> IPv6 address to configure the peer PE, which is described in this reviewing
> draft. I am OK to define a new TLV now.

We are in agreement. I think that it is the best way forward.

> prefix in AII type 2? Why don't we define the address by the address family
> + address? In that case, we could save much work.

We don't need to update RFC5003, since it really treats the 32bit prefix in AII type 2 as an entity that provides uniqueness in the network. So, this one can benefit from the router-id of the router (whether IPv4 or IPv6 loopback). Here is an excerpt - 

//
        				, it is not required that
       the 32-bit prefix have any association with the IPv4 address
       space used in the provider's IGP or BGP.
//

Cheers,
Rajiv

> Sent: Wednesday, November 14, 2012 11:00 PM
> To: Rajiv Asati (rajiva); Carlos Pignataro (cpignata); [email-masked]
> Subject: RE: [PWE3] Stewart Bryant's Discuss on draft-ietf-mpls-ipv6-pw-lsp-
> ping-03: (with DISCUSS)
> 
> 
> Hi Rajiv,
> PE address is routable or not, if the PE could find the correct LDP session,
> then PW could be setup. So I think it works in IPv6 if the peer PE address is a
> LDP router-id.
> IPv6 address to configure the peer PE, which is described in this reviewing
> draft. I am OK to define a new TLV now.
> 
> prefix in AII type 2? Why don't we define the address by the address family
> + address? In that case, we could save much work.
> 
> Lizhong
> 
> 
> > > Cc: [email-masked]; [email-masked];
> > > mpls- [email-masked]; [email-masked];
> > > [email-masked]; Stewart Bryant (stbryant)
> > > Is there any technical reason why it must be an IP address? If it is
> > > a 32bit router-id, the PW ping in IPv6 network will still work, right?
> > Maybe I missed
> > > something, and would appreciate if you could point out, or is there
> > > any PROS and CONS between the two options?
> > >
> > > Thanks
> > > Lizhong
> > >
> > >
> > > > bit long. I wonder if we could interpret this 32-bit address as
> > > > the corresponding LDP router-id which is also 32bit long in LDPv6?
> > > > And we will not define 128-bit LDP router-id in IPv6 networks (at
> > > > least currently not defined in MPLS WG). If that works, then it is
> > > > not necessary to define IPv6 "FEC 128/129" Pseudowire for LSP ping.
> > > >
> > > > Thanks
> > > > Lizhong
> > > >
> > > >
> > > > > When responding, please keep the subject line intact and reply
> > > > > to all email addresses included in the To and CC lines. (Feel
> > > > > free to cut this introductory paragraph, however.)
> > > > >
> > > > >
> > > > > This is a pseudowire document and it is a great pity that it was
> > > > > not taken through the pseudowire WG so that it would be listed
> > > > > in their document set and thus be more visible to readers
> > > > > looking for PW related documents. I am not sure whether it is
> > > > > possible to get this to show on with their doc set but it would be
> useful if it could.
> > > > >
> > > > > by the PWE3 WG, one purpose of this discuss is thus to make sure
> > > > > that this has been adequately reviewed by people with PW
> expertise.
> > > > >
> > > > > this draft, or whether this draft should be used as an
> > > > > opportunity to retire FEC128, in which case the FEC 128 IPv6
> > > > > definition should be removed from the draft. This is a
> > > > > discussion that should take place in the PWE3 WG.
> > > > >
> > > > >
> > > > >
> > > > >
> > > > >
> > > > >